CREATE TABLE SOCIAL_COMMENTS ( id NUMBER(19, 0) NOT NULL PRIMARY KEY,body CLOB, payload_context_id VARCHAR2(250),user_id VARCHAR2(100), tenant_domain VARCHAR2(100), likes NUMBER(3, 0), unlikes NUMBER(3, 0), timestamp VARCHAR2(100))
/
CREATE SEQUENCE SOCIAL_COMMENTS_SEQUENCE START WITH 1 INCREMENT BY 1 NOCACHE
/
CREATE TABLE SOCIAL_RATING ( id NUMBER(19, 0) NOT NULL PRIMARY KEY, comment_id NUMBER(19, 0) NOT NULL, payload_context_id VARCHAR2(250),user_id VARCHAR2(100), tenant_domain VARCHAR2(100), rating NUMBER(3, 0),timestamp VARCHAR(100), CONSTRAINT FK_COMMENT_ID FOREIGN KEY (COMMENT_ID) REFERENCES SOCIAL_COMMENTS(id) ON DELETE CASCADE)
/
CREATE SEQUENCE SOCIAL_RATING_SEQUENCE START WITH 1 INCREMENT BY 1 NOCACHE
/
CREATE TABLE SOCIAL_RATING_CACHE ( payload_context_id VARCHAR2(250) NOT NULL PRIMARY KEY, rating_total NUMBER(10, 0),rating_count NUMBER(10, 0),rating_average BINARY_DOUBLE, tenant_domain VARCHAR2(100))
/
CREATE TABLE SOCIAL_LIKES ( id NUMBER(19, 0) NOT NULL PRIMARY KEY, payload_context_id NUMBER(19, 0) NOT NULL, user_id VARCHAR2(100), tenant_domain VARCHAR2(100), like_value NUMBER(3, 0), timestamp VARCHAR2(100), CONSTRAINT FK_PAYLOAD_CONTEXT_ID FOREIGN KEY (payload_context_id) REFERENCES SOCIAL_COMMENTS(id) ON DELETE CASCADE)
/
CREATE SEQUENCE SOCIAL_LIKES_SEQUENCE START WITH 1 INCREMENT BY 1 NOCACHE
/
